CDDA2TRACK(1)

NAME
cdda2track - extract audio files

SYNOPSIS
cdda2track [OPTIONS] [track 1] [track 2] ...

DESCRIPTION

cdda2track extracts audio files from a compact disc and encodes them to tracks. If track numbers are given, extracts only those tracks. Otherwise, extracts the entire disc.

OPTIONS

-h, --help
    show a list of options and exit

-I, --interactive
    edit metadata and encoding options in interactive mode prior to extracting disc

-c, --cdrom=CDROM
    the CD-ROM device to extract audio from

-s, --speed=SPEED
    the speed to extract audio data at

-V, --verbose=VERBOSITY
    The level of output to display. Choose between 'normal', 'quiet' and 'debug'.

EXTRACTION OPTIONS

-t, --type=TYPE
    The audio format of the extracted audio tracks. For a list of available audio formats, try: -t help.

-q, --quality=QUALITY
    The desired quality of the extracted tracks. For a list of available quality modes for a given format, try: -q help

-d, --dir=DIRECTORY
    The target directory for the extracted tracks. If none is given, the current working directory is used. If the target directory does not exist, it will be created automatically.

--format=STRING
    The format string to use for new filenames. Template fields are replaced with metadata values when new tracks are created. All other text is left as-is. If this option is omitted, a default format string is used.

CD LOOKUP OPTIONS

--musicbrainz-server=HOSTNAME
    the MusicBrainz server name to query for metadata

--musicbrainz-port=PORT
    the MusicBrainz port to query for metadata

--no-musicbrainz
    don't query MusicBrainz for metadata

--freedb-server=HOSTNAME
    the FreeDB server name to query for metadata

--freedb-port=PORT
    the FreeDB port to query for metadata

--no-freedb
    don't query FreeDB for metadata

-D, --default
    When multiple metadata choices are available, select the first one automatically. This option has no effect when used with -I

METADATA OPTIONS

--album-number=NUMBER
    the album number of this CD, if it is one in a series of albums

--album-total=NUMBER
    the total number of albums in this CD's set, if it is one in a series of albums

--replay-gain
    add ReplayGain metadata to newly created tracks

--no-replay-gain
    do not add ReplayGain metadata to newly created tracks

ACCURATERIP
Extracted tracks are automatically verified against AccurateRip's online database. The confidence level is the number of other people who have the same rip, so a larger value indicates one's own rip is consistent with those of others. However, not finding one's rip in the AccurateRip database does not necessarily mean the rip is bad; the CD may be new, rare, or a different pressing than the one in the database.

EXAMPLE

Extract all of the tracks from /dev/cdrom as FLAC files at the default quality:

    cdda2track -t flac -c /dev/cdrom

FORMAT STRING FIELDS
Template Fields
Key | Value
%(track_number)2.2d | the track's number on the CD
%(track_total)d | the total number of tracks on the CD
%(album_number)d | the CD's album number
%(album_total)d | the total number of CDs in the set
%(album_track_number)s | combination of album and track number
%(track_name)s | the track's name
%(album_name)s | the album's name
%(artist_name)s | the track's artist name
%(performer_name)s | the track's performer name
%(composer_name)s | the track's composer name
%(conductor_name)s | the track's conductor name
%(media)s | the track's source media
%(ISRC)s | the track's ISRC
%(catalog)s | the track's catalog number
%(copyright)s | the track's copyright information
%(publisher)s | the track's publisher
%(year)s | the track's publication year
%(date)s | the track's original recording date
%(suffix)s | the track's suffix
%(basename)s | the track's original name, without suffix

SEE ALSO
audiotools-config(1), audiotools.cfg(5), cddainfo(1), cddaplay(1), coverdump(1), covertag(1), coverview(1), dvda2track(1), dvdainfo(1), track2cdda(1), track2track(1), trackcat(1), trackcmp(1), trackinfo(1), tracklength(1), tracklint(1), trackplay(1), trackrename(1), tracksplit(1), tracktag(1), trackverify(1)

AUTHOR
Brian Langenberger